Adopt a standard for a child
POST
/children/{childID}/standardsApply a community standard's rules to a child's policy.
Auth:
BearerPath parameters
childIDuuidrequired
Request body
standard_iduuidrequired
Response
idUnique identifier for this resource.
uuid
child_idIdentifier of the child this resource belongs to.
uuid
standard_idUnique identifier (UUID) for the related resource.
uuid
adopted_atRFC 3339 timestamp.
datetime
Request
bash
curl -sS -X POST "https://phosra-api-sandbox-production.up.railway.app/api/v1/children/a11ce0fa-0000-4000-8000-0000000000a1/standards" \
-H "Authorization: Bearer $PHOSRA_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"standard_id": "2b1c3d4e-5f6a-4b7c-8d9e-0f1a2b3c4d5e"
}'Response
json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"child_id": "550e8400-e29b-41d4-a716-446655440000",
"standard_id": "550e8400-e29b-41d4-a716-446655440000",
"adopted_at": "2025-01-15T09:30:00Z"
}